Retrieve a single organisation
curl --request GET \
--url https://{tenant}/admin/organisations/{orgID} \
--header 'Admin-Auth: <api-key>'import requests
url = "https://{tenant}/admin/organisations/{orgID}"
headers = {"Admin-Auth": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Admin-Auth': '<api-key>'}};
fetch('https://{tenant}/admin/organisations/{orgID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apis": [
{
"api_human_name": "API 2",
"api_id": "5fa2db834e07444f760b7ceb314209fb"
},
{
"api_human_name": "API 1",
"api_id": "7a6ddeca9244448a4233866938a0d6e2"
},
{
"api_human_name": "API 3",
"api_id": "109eacaa50b24b64651a1d4dce8ec385"
}
],
"cname": "my.domain.com",
"cname_enabled": true,
"developer_count": 21,
"developer_quota": 123,
"event_options": {
"key_event": {
"email": "",
"redis": true,
"webhook": ""
},
"key_request_event": {
"email": "",
"redis": false,
"webhook": ""
}
},
"hybrid_enabled": false,
"id": "53ac07777cbb8c2d53000002",
"owner_name": "Test",
"owner_slug": "test",
"ui": {
"default_lang": "",
"designer": {},
"dont_allow_license_management": false,
"dont_allow_license_management_view": false,
"dont_show_admin_sockets": false,
"hide_help": false,
"languages": {},
"login_page": {},
"nav": {},
"portal_section": {},
"uptime": {}
}
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "Could not retrieve org detail",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to marshal org data from DB",
"Meta": null,
"Status": "Error"
}Organisations
Retrieve a single organisation
Retrieve a single organisation
GET
/
admin
/
organisations
/
{orgID}
Retrieve a single organisation
Authorizations
Api key
Path Parameters
Organisation ID of the org to add, update, or delete.
Response
Organisation retrieved
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I